[![License: GPL v3](https://img.shields.io/badge/License-GPL%20v3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)


# S_New4

Aufruf: S_New4 [Unteroption] [PARAMETER]...

### Beschreibung:
      -> Mit diesem Programm kann man die Download-Urls
         oder Informationen von Serien bekommen.
      -> Mit diesem Programm kann man Redirect-Links von
         s.to umwandeln.

### Unteroptionen:
    "--help"	Gibt dieses Helpmenue aus.
	"--version"	Gibt die Version des Programmes aus.
	"--update"	Modus um das Programm zu aktualisieren.
	            	Updater funktioniert nur bei: Windows/Linux -
	            	x86 Architekutur - 64 Bit Systemen und Arm6 32 Bit.
	"--remove"	Modus um Ordner mit Einstellungen/
	            	Zwischengespeicherte-Dateien zu löschen.
	"url"		Modus um eigene Redirect-Links umzuwandeln.
	"default"	Modus um Links von Serien zu bekommen.
	"search"	Modus um Serien zu suchen.
	"info"		Modus um Infos einer Serien zu bekommen.
	"clean"		Modus um Cookie-Files zu löschen.
	"news"		Modus um neusten 75 Folgen auf s.to zu sehen.
	"log"		Modus um Log Datei zu sehen / leeren.

### Verzeichnisse:
	Ordner zum zwischenspeichern der Cookies und der AccountNummer:
	  > '/home/*/.cache/S_New4/' - Linux
      > '%LocalAppData%/S_New4' - Windows
	Ordner zum speichern der Accounts und Default-Einstellungen:
	  > '/home/*/.config/S_New4/' - Linux
      > '%AppData%/S_New4' - Windows


## Updater Funktion:
##### S_New4 hat einen Updater der für folgende Systeme funktioniert:
##### * Windows, 64 Bit Programm ( Die neue Version ist immer 64 Bit ), x86 Architektur
##### * Linux,   64 Bit Programm ( Die neue Version ist immer 64 Bit ), x86 Architektur
##### * Linux,   32 Bit Programm ( Die neue Version ist immer 32 Bit ), ARM v6




# Compalieren


### Linux:

##### Abhängigkeiten:

```sh
  sudo apt install libcurl4-openssl-dev
```

#### g++
```sh
  g++ --std=c++14 accountManager.cpp accountManager.h main.cpp pageManager.cpp pageManager.h parameterManager.cpp parameterManager.h programManager.cpp programManager.h logger.h logger.cpp -lcurl -lpthread -o S_New4
```

#### QT-Style:
```sh
  qmake && make
```

### Windows: (nur x86_64 Architekture, wenn beigefügte Libraries verwendet werden möchten)

##### Abhängigkeiten:

Empfohlen: Verwende S_New4 mit einem Unicode Compatiblem Terminal: Zum Beispiel mit dem
        Git Bash Terminal

#### QT-Style: ( MinGW-64Bit )

Nutze den QT-Creator:
    > In dem Unterordner curl/ befinden sich die benötigten Header- und Curl-Lib-Dateien für curl
    > C++ und Winpthread Libs befinden sich in dem Ordner x86_64-WIN_LIBS/
